Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055447 - Missing security policy in domain.conf
Summary: Missing security policy in domain.conf
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Configuration
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: CR2
: 6.0.0
Assignee: Ryan Zhang
QA Contact: Radovan Synek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 09:52 UTC by Radovan Synek
Modified: 2014-08-06 20:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:15:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Radovan Synek 2014-01-20 09:52:55 UTC
Description of problem:
I suppose we should provide similar level of configuration for both standalone and domain EAP mode.

standalone.conf enables security policy by line:
JAVA_OPTS="$JAVA_OPTS -Djava.security.manager \"-Djava.security.policy=$DIRNAME/security.policy\" \"-Dkie.security.policy=$DIRNAME/kie.policy\""

which is missing in domain.conf.

Comment 1 Ryan Zhang 2014-01-22 07:28:20 UTC
Now security policy files have been applied to BRMS/BPMS domain.conf too. 
Noticed that this fix has also followed https://bugzilla.redhat.com/show_bug.cgi?id=1056253 request and be provided seperate domain-secure.conf instead of domain.conf.

Comment 2 Radovan Synek 2014-01-27 09:22:03 UTC
Verified with BPMS-6.0.0.CR2


Note You need to log in before you can comment on or make changes to this bug.